package com.yuchen.saas.park.api.entity.approve;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.nest.springwrap.core.mp.base.BaseEntity;

import java.time.LocalDateTime;

/**
 * <p>
 * 装修审批表
 * </p>
 *
 * @author 洪铭铭
 * @since 2024-09-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("saas_park_renovate_approval")
@ApiModel(value="SaasParkRenovateApproval对象", description="装修审批表")
public class SaasParkRenovateApproval extends BaseEntity {


    @ApiModelProperty(value = "审批类型")
    @TableField("approve_type")
    private Long approveType;

    @ApiModelProperty(value = "申请时间")
    @TableField("apply_time")
    private LocalDateTime applyTime;

    @ApiModelProperty(value = "申请状态")
    @TableField("apply_status")
    private String applyStatus;

    @ApiModelProperty(value = "园区ID")
    @TableField("park_id")
    private Long parkId;

    @ApiModelProperty(value = "楼栋id")
    @TableField("building_id")
    private Long buildingId;

    @ApiModelProperty(value = "单元id")
    @TableField("building_unit_id")
    private Long buildingUnitId;

    @ApiModelProperty(value = "楼层id")
    @TableField("floor_id")
    private Long floorId;

    @ApiModelProperty(value = "房间id")
    @TableField("room_id")
    private Long roomId;

    @ApiModelProperty(value = "房屋名称")
    @TableField("room_name")
    private String roomName;

    @ApiModelProperty(value = "业主类型")
    @TableField("owner_type")
    private String ownerType;

    @ApiModelProperty(value = "住户身份")
    @TableField("tenant_type")
    private Long tenantType;

    @ApiModelProperty(value = "名字")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "性别")
    @TableField("sex")
    private String sex;

    @ApiModelProperty(value = "证件类型")
    @TableField("id_type")
    private String idType;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_card")
    private String idCard;

    @ApiModelProperty(value = "联系人")
    @TableField("contact")
    private String contact;

    @ApiModelProperty(value = "联系电话")
    @TableField("contact_phone")
    private String contactPhone;

    @ApiModelProperty(value = "产权类型")
    @TableField("property_type")
    private String propertyType;

    @ApiModelProperty(value = "装修类型")
    @TableField("renovate_type")
    private String renovateType;

    @ApiModelProperty(value = "办理类型")
    @TableField("handler_type")
    private String handlerType;

    @ApiModelProperty(value = "申请状态")
    @TableField("renovate_status")
    private String renovateStatus;

    @ApiModelProperty(value = "文件路径")
    @TableField("file_path")
    private String filePath;

    @ApiModelProperty(value = "住户照片")
    @TableField("face_photo")
    private String facePhoto;

    @ApiModelProperty(value = "确认人员")
    @TableField("confirm_user")
    private Long confirmUser;

    @ApiModelProperty(value = "确认时间")
    @TableField("confirm_time")
    private LocalDateTime confirmTime;


    @ApiModelProperty(value = "备注信息")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "社区名称")
    @TableField("park_name")
    private String parkName;

    @ApiModelProperty(value = "单元名称")
    @TableField("building_unit_name")
    private String buildingUnitName;

    @ApiModelProperty(value = "楼栋名称")
    @TableField("building_name")
    private String buildingName;

    @ApiModelProperty(value = "房屋产权证明文件")
    @TableField("certificate_photo")
    private String certificatePhoto;

    @ApiModelProperty(value = "业主证件照片")
    @TableField("owner_id_photo")
    private String ownerIdPhoto;

    @ApiModelProperty(value = "业主委托授权照片")
    @TableField("authorize_photo")
    private String authorizePhoto;

    @ApiModelProperty(value = "装修人证件照片")
    @TableField("renovator_id_photo")
    private String renovatorIdPhoto;

    @ApiModelProperty(value = "装修人证件类型")
    @TableField("renovator_id_type")
    private String renovatorIdType;

    @ApiModelProperty(value = "装修人证件号码")
    @TableField("renovator_id_no")
    private String renovatorIdNo;

    @ApiModelProperty(value = "代办人姓名")
    @TableField("renovator_name")
    private String renovatorName;

    @ApiModelProperty(value = "代办人手机号")
    @TableField("renovator_phone")
    private String renovatorPhone;

    @ApiModelProperty(value = "装修预算")
    @TableField("budget")
    private String budget;

    @ApiModelProperty(value = "装修合同")
    @TableField("contract")
    private String contract;

    @ApiModelProperty(value = "装修公司委托授权书")
    @TableField("builder_authorize_photo")
    private String builderAuthorizePhoto;

    @ApiModelProperty(value = "施工方负责人证件照片")
    @TableField("builder_id_photo")
    private String builderIdPhoto;

    @ApiModelProperty(value = "施工方负责人证件类型")
    @TableField("builder_id_type")
    private String builderIdType;

    @ApiModelProperty(value = "施工方负责人证件号码")
    @TableField("builder_id_no")
    private String builderIdNo;

    @ApiModelProperty(value = "施工方负责人姓名")
    @TableField("builder_name")
    private String builderName;

    @ApiModelProperty(value = "施工方负责人手机号")
    @TableField("builder_phone")
    private String builderPhone;

    @ApiModelProperty(value = "装修公司营业执照")
    @TableField("builder_certificate_photo")
    private String builderCertificatePhoto;

    @ApiModelProperty(value = "装修公司承诺书")
    @TableField("builder_guarantee_photo")
    private String builderGuaranteePhoto;

    @ApiModelProperty(value = "社区备案回执")
    @TableField("community_register_photo")
    private String communityRegisterPhoto;

    @ApiModelProperty(value = "施工图纸")
    @TableField("building_plan_photo")
    private String buildingPlanPhoto;

    @ApiModelProperty(value = "工人作业证")
    @TableField("workers_certificate_photo")
    private String workersCertificatePhoto;



    public Long getApproveType() {
        return approveType;
    }

    public void setApproveType(Long approveType) {
        this.approveType = approveType;
    }

    public LocalDateTime getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(LocalDateTime applyTime) {
        this.applyTime = applyTime;
    }

    public String getApplyStatus() {
        return applyStatus;
    }

    public void setApplyStatus(String applyStatus) {
        this.applyStatus = applyStatus;
    }

    public Long getParkId() {
        return parkId;
    }

    public void setParkId(Long parkId) {
        this.parkId = parkId;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public Long getBuildingUnitId() {
        return buildingUnitId;
    }

    public void setBuildingUnitId(Long buildingUnitId) {
        this.buildingUnitId = buildingUnitId;
    }

    public Long getFloorId() {
        return floorId;
    }

    public void setFloorId(Long floorId) {
        this.floorId = floorId;
    }

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getOwnerType() {
        return ownerType;
    }

    public void setOwnerType(String ownerType) {
        this.ownerType = ownerType;
    }

    public Long getTenantType() {
        return tenantType;
    }

    public void setTenantType(Long tenantType) {
        this.tenantType = tenantType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getContactPhone() {
        return contactPhone;
    }

    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    public String getPropertyType() {
        return propertyType;
    }

    public void setPropertyType(String propertyType) {
        this.propertyType = propertyType;
    }

    public String getRenovateType() {
        return renovateType;
    }

    public void setRenovateType(String renovateType) {
        this.renovateType = renovateType;
    }

    public String getHandlerType() {
        return handlerType;
    }

    public void setHandlerType(String handlerType) {
        this.handlerType = handlerType;
    }

    public String getRenovateStatus() {
        return renovateStatus;
    }

    public void setRenovateStatus(String renovateStatus) {
        this.renovateStatus = renovateStatus;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFacePhoto() {
        return facePhoto;
    }

    public void setFacePhoto(String facePhoto) {
        this.facePhoto = facePhoto;
    }

    public Long getConfirmUser() {
        return confirmUser;
    }

    public void setConfirmUser(Long confirmUser) {
        this.confirmUser = confirmUser;
    }

    public LocalDateTime getConfirmTime() {
        return confirmTime;
    }

    public void setConfirmTime(LocalDateTime confirmTime) {
        this.confirmTime = confirmTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getParkName() {
        return parkName;
    }

    public void setParkName(String parkName) {
        this.parkName = parkName;
    }

    public String getBuildingUnitName() {
        return buildingUnitName;
    }

    public void setBuildingUnitName(String buildingUnitName) {
        this.buildingUnitName = buildingUnitName;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public String getCertificatePhoto() {
        return certificatePhoto;
    }

    public void setCertificatePhoto(String certificatePhoto) {
        this.certificatePhoto = certificatePhoto;
    }

    public String getOwnerIdPhoto() {
        return ownerIdPhoto;
    }

    public void setOwnerIdPhoto(String ownerIdPhoto) {
        this.ownerIdPhoto = ownerIdPhoto;
    }

    public String getAuthorizePhoto() {
        return authorizePhoto;
    }

    public void setAuthorizePhoto(String authorizePhoto) {
        this.authorizePhoto = authorizePhoto;
    }

    public String getRenovatorIdPhoto() {
        return renovatorIdPhoto;
    }

    public void setRenovatorIdPhoto(String renovatorIdPhoto) {
        this.renovatorIdPhoto = renovatorIdPhoto;
    }

    public String getRenovatorIdType() {
        return renovatorIdType;
    }

    public void setRenovatorIdType(String renovatorIdType) {
        this.renovatorIdType = renovatorIdType;
    }

    public String getRenovatorIdNo() {
        return renovatorIdNo;
    }

    public void setRenovatorIdNo(String renovatorIdNo) {
        this.renovatorIdNo = renovatorIdNo;
    }

    public String getRenovatorName() {
        return renovatorName;
    }

    public void setRenovatorName(String renovatorName) {
        this.renovatorName = renovatorName;
    }

    public String getRenovatorPhone() {
        return renovatorPhone;
    }

    public void setRenovatorPhone(String renovatorPhone) {
        this.renovatorPhone = renovatorPhone;
    }

    public String getBudget() {
        return budget;
    }

    public void setBudget(String budget) {
        this.budget = budget;
    }

    public String getContract() {
        return contract;
    }

    public void setContract(String contract) {
        this.contract = contract;
    }

    public String getBuilderAuthorizePhoto() {
        return builderAuthorizePhoto;
    }

    public void setBuilderAuthorizePhoto(String builderAuthorizePhoto) {
        this.builderAuthorizePhoto = builderAuthorizePhoto;
    }

    public String getBuilderIdPhoto() {
        return builderIdPhoto;
    }

    public void setBuilderIdPhoto(String builderIdPhoto) {
        this.builderIdPhoto = builderIdPhoto;
    }

    public String getBuilderIdType() {
        return builderIdType;
    }

    public void setBuilderIdType(String builderIdType) {
        this.builderIdType = builderIdType;
    }

    public String getBuilderIdNo() {
        return builderIdNo;
    }

    public void setBuilderIdNo(String builderIdNo) {
        this.builderIdNo = builderIdNo;
    }

    public String getBuilderName() {
        return builderName;
    }

    public void setBuilderName(String builderName) {
        this.builderName = builderName;
    }

    public String getBuilderPhone() {
        return builderPhone;
    }

    public void setBuilderPhone(String builderPhone) {
        this.builderPhone = builderPhone;
    }

    public String getBuilderCertificatePhoto() {
        return builderCertificatePhoto;
    }

    public void setBuilderCertificatePhoto(String builderCertificatePhoto) {
        this.builderCertificatePhoto = builderCertificatePhoto;
    }

    public String getBuilderGuaranteePhoto() {
        return builderGuaranteePhoto;
    }

    public void setBuilderGuaranteePhoto(String builderGuaranteePhoto) {
        this.builderGuaranteePhoto = builderGuaranteePhoto;
    }

    public String getCommunityRegisterPhoto() {
        return communityRegisterPhoto;
    }

    public void setCommunityRegisterPhoto(String communityRegisterPhoto) {
        this.communityRegisterPhoto = communityRegisterPhoto;
    }

    public String getBuildingPlanPhoto() {
        return buildingPlanPhoto;
    }

    public void setBuildingPlanPhoto(String buildingPlanPhoto) {
        this.buildingPlanPhoto = buildingPlanPhoto;
    }

    public String getWorkersCertificatePhoto() {
        return workersCertificatePhoto;
    }

    public void setWorkersCertificatePhoto(String workersCertificatePhoto) {
        this.workersCertificatePhoto = workersCertificatePhoto;
    }
}
